按类别查询搜索结果
关于关键词 的检测结果,共 1
jialisoft | 2013-01-09 07:38:14 | 阅读(918) | 评论(0)
写MR程序时往往会使用到第三方包, 如果这些包在集群中不存在, 可以通过多种方式提交到集群供 MR 程序使用, 但如果集群中存在的jar与用户MR程序用到的JAR存在版本冲突时该如何解决?下面是我碰到的问题及解决方式, 简单记录如下, 碰到同样问题的同学可以参考下:昨天使用 commons-net-3.2.jar 包连接FTP采集日志,调用方法片段: Java代码: FTPClient ftpClient = new FTPClient();  ftpClient.setConnectTimeout(1000);    // 这个方法【阅读全文】